Bug 874983 - Misleading error message when server returns 503 error
Misleading error message when server returns 503 error
Product: Zanata
Classification: Community
Component: Component-Maven, Usability (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2
Assigned To: Patrick Huang
Zanata-QA Mailling List
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2012-11-09 04:15 EST by Pravin Satpute
Modified: 2014-02-18 01:46 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.2-SNAPSHOT (20131127-0039)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-18 01:46:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pravin Satpute 2012-11-09 04:15:42 EST
Description of problem:
getting error while po file push

[INFO] Scanning for projects...
[INFO] ------------------------------------------------------------------------
[INFO] Building null 0
[INFO] ------------------------------------------------------------------------
[INFO] --- zanata-maven-plugin:1.7.4:push (default-cli) @ null ---
[INFO] Please report Zanata bugs here: https://bugzilla.redhat.com/enter_bug.cgi?format=guided&product=Zanata
[INFO] Loading project config from /NotBackedUp/svn/system-config-language/trunk/po/zanata.xml
[INFO] Loading user config from /home/psatpute/.config/zanata.ini
[INFO] ------------------------------------------------------------------------
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 3.676s
[INFO] Finished at: Fri Nov 09 14:41:42 IST 2012
[INFO] Final Memory: 12M/100M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.zanata:zanata-maven-plugin:1.7.4:push (default-cli) on project null: Zanata mojo exception: Could not find JAXBContextFinder for media type: text/html;charset="iso-8859-1" -> [Help 1]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/MojoExecutionException

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. trying to push po files for system-config-language
2. mvn zanata:push -Dzanata.pushType=both
Actual results:

Expected results:
should work properly

Additional info:
Comment 1 sandeep shedmake 2012-11-09 04:55:52 EST
The said error could be reproduced with zanata-maven-plugin version 1.7.5 .

Also, the error is similar to following RH bz:
Bug 805775 - confusing error: failed to upload glossary due to wrong an API key
Comment 2 Sean Flanigan 2012-11-11 18:49:49 EST
Please run with the '-e' option and give us the stack trace.  Thanks.

$ mvn -e zanata:push -Dzanata.pushType=both
Comment 3 Pravin Satpute 2012-11-12 01:44:05 EST
working with mentioned command. Thanks.
Comment 4 Sean Flanigan 2012-11-12 02:39:51 EST
Actually -e just tells Maven to generate longer error messages, it wouldn't fix anything.   

I think this happened because the server was down, the Apache proxy returned 503, and the client produced an unhelpful error message.
Comment 5 Sean Flanigan 2012-11-20 01:10:36 EST
I think we still need to improve the error handling in the case of a 503.
Comment 6 Patrick Huang 2013-11-12 23:42:42 EST
Comment 7 Sean Flanigan 2013-11-26 23:19:06 EST
Should we mark this ON_QA now?
Comment 8 Ding-Yi Chen 2013-11-27 02:08:36 EST
VERIFIED with Zanata version 3.2-SNAPSHOT (20131127-0039)

Note You need to log in before you can comment on or make changes to this bug.